package eu.openaire.urls_worker.controllers;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("")
public class GeneralController {

    private static final Logger logger = LoggerFactory.getLogger(GeneralController.class);


    public GeneralController() {
    }

    @GetMapping("isAlive")
    public ResponseEntity<?> isWorkerAlive() {

        logger.info("Received an \"isAlive\" request.");

        return ResponseEntity.ok().build();
    }

}
